html {
  font-size: 14px;
}


body {
    font-family: "Geist", sans-serif;
    font-variation-settings: "wght" 300;
    margin: 0;
    padding: 0;
    line-height: 1.6;
    color: #333; 
}

h1 {
    font-size: 3rem;
    font-weight: 600;
    margin: 1.5rem 0 1rem 0;
    line-height: 1.2;
}

h2 {
    font-size: 2rem;
    font-weight: 600;
    margin: 0rem 0 1rem 0;
    line-height: 1.3;
}

h3 {
    font-size: 1.5rem;
    font-weight: 500;
    margin: 1.2rem 0 0.8rem 0;
    line-height: 1.4;
}

h4 {
    font-size: 1.2rem;
    font-weight: 500;
    margin: 1rem 0 0.6rem 0;
    line-height: 1.25;
}

p {
    font-size: 1rem;
    font-weight: 400;
    margin: 0 0 1rem 0;
    line-height: 1.4;
    text-align: justify;
}


header {
    font-family: "Geist", sans-serif;
    font-variation-settings: "wght" 300;
    background-color: #fff;
    padding: 1rem;
    /*box-shadow: 0 2px 4px rgba(0,0,0,0.05);*/
    position: sticky;
    align-content: center;
    top: 0;
    z-index: 100;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 1rem auto;
    padding: 0 2 rem;
    max-width: 1200px;
}

nav h1 {
    margin: 0;
}

nav ul {
    list-style: none;
    justify-content: center;
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 0;
}

nav a {
    text-decoration: none;
    color: #444444;
}

nav a:hover {
    color: #000;
}

main {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0rem 1rem;
}

.hero {
    text-align: center;
    padding: 2rem 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* min-height: 50vh; */ 
}

.hero h2 {
    font-size: 3rem;
    margin-bottom: 2rem;
}

.hero p {
    font-size: 1.25rem;
    color: #444444;
    max-width: 700px;
    margin: 1rem 2rem 1rem 2rem;
    text-align: center;
}

.hero p2 {
    font-size: 0.95rem;
    color: #303030;
    max-width: 500px;
    margin: 1rem 2rem 0rem 2rem;
    text-align: center;
}

.projects h3 {
    text-align: left;
    font-size: 2rem;
    margin-bottom: 2rem;
}

.project-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    margin: 0 2rem;
}

.project-grid p {
    font-size: 1rem;
    font-weight: 400;
    margin: 0 0 1rem 0;
    line-height: 1.4;
    text-align: left;
}

.project-card {
    padding: 1.5rem;
    border-radius: 8px;
    text-align: left;
}

.project-card img {
    width: 100%;
    height: auto;
    border-radius: 8px 8px 0 0;
    margin-bottom: 1rem;
}

.project-card h4 {
    margin-top: 0;
}

.project-card a {
    color: #007bff;
    text-decoration: none;
}

.project-card a:hover {
    text-decoration: underline;
}

.card-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.card-link:hover .project-card img {
    transform: translateY(-5px);
    transition: all 0.3s ease;
}

.about, .contact {
    max-width: 800px;
    margin: 0 auto;
    text-align: center;
}

.about h2, .contact h2 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.links {
    display: flex;
    justify-content: center;
    gap: 2rem;
    margin-top: 2rem;
}

.links a {
    color: #007bff;
    text-decoration: none;
}

.links a:hover {
    text-decoration: underline;
}

footer {
    text-align: center;
    padding: 2rem;
    /*background-color: #f8f9fa;*/
    margin-top: 4rem;
    display:flex;
    justify-content: center;
}

.project-detail {
    margin: 0rem auto;
    max-width: 1200px;
    padding: 0;
}

.project-detail-grid {
    display: grid;
    grid-template-columns: 35% 1fr;
    gap: 2rem 4rem;
    align-items: start;
}

.project-detail-aside {
    /*border-left: 4px solid #007bff;*/
    padding-left: 0rem;
}

.project-detail-aside h2 {
    font-size: 2.75rem;
    margin-bottom: 0rem;
}

.project-detail-aside h3 {
    margin: 0rem;
    font-size: 1.5rem;
    font-weight: 600;
}

.project-detail-role {
    color: #666;
    font-weight: 300;
    margin-top: 1rem;
    line-height: 1.6;
}

.project-detail-disclaimer {
    font-size: 0.9rem;
    font-weight: 300;
    color: #666;
    font-style: italic;
    margin-top: 1rem;
}

.project-detail-copy p {
    font-size: 1.1rem;
    line-height: 1.7;
    margin-bottom: 1.5rem;
}

.project-detail-copy h3 {
    margin-top: 2rem;
    margin-bottom: 1rem;
    font-size: 1.75rem;
    
}

ul {
    list-style: disc;
    padding-left: 1.5rem;
    margin-bottom: 0 1.5rem 0 0;
    
    
}

li {
    margin-bottom: 0.5rem;
    font-size: 1 rem;
}

.project-detail-copy ul {
    list-style: disc;
    padding-left: 1.5rem;
    margin-bottom: 0 1.5rem 0 0;
    
    
}

.project-detail-copy figure {
    margin: 0 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.project-detail-copy img {
    width: 80%;
    max-width: 80%;
    height: auto;
    border-radius: 4px;
}

.project-detail-copy figcaption {
    margin-top: 0.5rem;
    margin-bottom: 1.5rem;
    font-size: 1rem;
    font-weight: 300;
    color: #6a6a6a;
    text-align: center;
    width: 80%;
}

@media (max-width: 768px) {
    .project-detail-grid {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        gap: 16px;
        row-gap: 2rem;
    }

    .project-detail-aside {
        border-left: none;
        padding-left: 0;
    }
}

.small-margin {
    margin-bottom: 0.5rem;
}

.zoomable {
  transition: transform 0.3s ease;
  cursor: zoom-in;
}
.zoomable:focus {
  transform: scale(2); /* Enlarges by 2x */
  outline: none;
  position: relative;
  z-index: 10;
}
